#include <bits/stdc++.h>
using namespace std;
void ahihi(int a)
{
    int c[100000],m=0,r;
        while (a>0)
        {
            c[m]=a%2;
            a=a/2;
            m++;
        }
        for (int i=m-1;i>=0;i--)
        {
            cout<<c[i];
        }
}
int main()
{
    ifstream f1("dayso.inp");
    ofstream f2("DOINP.out");
    int n,a[100000],c,i;
    f1>>n;
    for (int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    for (int i=0;i<n;i++)
    {
        ahihi(a[i]);
        f2<<endl;
    }
    f1.close();
    f2.close();
}

